Bug 862294 - Unable to boot
Unable to boot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 10:33 EDT by Zeeshan Ali
Modified: 2016-09-19 21:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-13 08:33:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zeeshan Ali 2012-10-02 10:33:12 EDT
Description of problem:

I just tried booting at least 5 times with different kernel versions I have:

* 3.6.0-0.rc6.git0.2.fc18
* 3.6.0-0.rc7.git1.4.fc18

both with and without 'quiet' parameter. The boot process stops at some point and system restarts after a screen of some error that I'm not given a chance to read at all.

Now that I was able to boot this time using the older kernel (3.5.4-1.fc17), I can see these traces in my /var/log/messages:

Oct  1 21:27:10 localhost kernel: [90245.244220] Call Trace:
Oct  1 21:27:10 localhost kernel: [90245.244222]  <IRQ>  [<ffffffff8116492b>] warn_alloc_failed+0xeb/0x150
Oct  1 21:27:10 localhost kernel: [90245.244229]  [<ffffffff81168f45>] __alloc_pages_nodemask+0x8b5/0xb40
Oct  1 21:27:10 localhost kernel: [90245.244237]  [<ffffffffa04210af>] ? iwl_poll_bit+0x4f/0x160 [iwlwifi]
Oct  1 21:27:10 localhost kernel: [90245.244242]  [<ffffffff811a9670>] alloc_pages_current+0xb0/0x120
Oct  1 21:27:10 localhost kernel: [90245.244250]  [<ffffffffa0428695>] iwlagn_rx_allocate+0x135/0x290 [iwlwifi]
Oct  1 21:27:10 localhost kernel: [90245.244259]  [<ffffffffa042a09a>] iwl_irq_tasklet+0x105a/0x1b20 [iwlwifi]
Oct  1 21:27:10 localhost kernel: [90245.244263]  [<ffffffff81072703>] tasklet_action+0x83/0x110
Oct  1 21:27:10 localhost kernel: [90245.244266]  [<ffffffff81071de0>] __do_softirq+0xf0/0x3d0
Oct  1 21:27:10 localhost kernel: [90245.244270]  [<ffffffff81021dc3>] ? native_sched_clock+0x13/0x80
Oct  1 21:27:10 localhost kernel: [90245.244274]  [<ffffffff816e863c>] call_softirq+0x1c/0x30
Oct  1 21:27:10 localhost kernel: [90245.244278]  [<ffffffff8101c355>] do_softirq+0xa5/0xe0
Oct  1 21:27:10 localhost kernel: [90245.244281]  [<ffffffff81072435>] irq_exit+0xd5/0xe0
Oct  1 21:27:10 localhost kernel: [90245.244285]  [<ffffffff816e8ed3>] do_IRQ+0x63/0xe0
Oct  1 21:27:10 localhost kernel: [90245.244289]  [<ffffffff816de7af>] common_interrupt+0x6f/0x6f
Oct  1 21:27:10 localhost kernel: [90245.244291]  <EOI>  [<ffffffff816de3e4>] ? _raw_spin_unlock_irqrestore+0x44/0x80
Oct  1 21:27:10 localhost kernel: [90245.244298]  [<ffffffff81358fbc>] debug_check_no_obj_freed+0x16c/0x210
Oct  1 21:27:10 localhost kernel: [90245.244302]  [<ffffffff81167565>] free_pages_prepare+0x195/0x270
Oct  1 21:27:10 localhost kernel: [90245.244306]  [<ffffffff811677c7>] free_hot_cold_page+0x47/0x1c0
Oct  1 21:27:10 localhost kernel: [90245.244310]  [<ffffffff81167bde>] free_hot_cold_page_list+0x5e/0x170
Oct  1 21:27:10 localhost kernel: [90245.244314]  [<ffffffff811737a9>] shrink_page_list+0x1e9/0xb80
Oct  1 21:27:10 localhost kernel: [90245.244319]  [<ffffffff811745f6>] shrink_inactive_list+0x156/0x510
Oct  1 21:27:10 localhost kernel: [90245.244323]  [<ffffffff8134ecc2>] ? delay_tsc+0x72/0xc0
Oct  1 21:27:10 localhost kernel: [90245.244327]  [<ffffffff81175121>] shrink_lruvec+0x401/0x5a0
Oct  1 21:27:10 localhost kernel: [90245.244332]  [<ffffffff81175335>] shrink_zone+0x75/0xa0
Oct  1 21:27:10 localhost kernel: [90245.244335]  [<ffffffff811756e0>] do_try_to_free_pages+0x100/0x620
Oct  1 21:27:10 localhost kernel: [90245.244340]  [<ffffffff811760b5>] try_to_free_pages+0xd5/0x330
Oct  1 21:27:10 localhost kernel: [90245.244344]  [<ffffffff81168d9d>] __alloc_pages_nodemask+0x70d/0xb40
Oct  1 21:27:10 localhost kernel: [90245.244349]  [<ffffffff811a9670>] alloc_pages_current+0xb0/0x120
Oct  1 21:27:10 localhost kernel: [90245.244357]  [<ffffffffa0428695>] iwlagn_rx_allocate+0x135/0x290 [iwlwifi]
Oct  1 21:27:10 localhost kernel: [90245.244365]  [<ffffffffa0428fed>] iwlagn_rx_replenish+0x2d/0x60 [iwlwifi]
Oct  1 21:27:10 localhost kernel: [90245.244373]  [<ffffffffa0429032>] iwl_bg_rx_replenish+0x12/0x20 [iwlwifi]
Oct  1 21:27:10 localhost kernel: [90245.244377]  [<ffffffff8108c10f>] process_one_work+0x20f/0x760
Oct  1 21:27:10 localhost kernel: [90245.244381]  [<ffffffff8108c0a7>] ? process_one_work+0x1a7/0x760
Oct  1 21:27:10 localhost kernel: [90245.244384]  [<ffffffff8108caee>] ? worker_thread+0x21e/0x470
Oct  1 21:27:10 localhost kernel: [90245.244393]  [<ffffffffa0429020>] ? iwlagn_rx_replenish+0x60/0x60 [iwlwifi]
Oct  1 21:27:10 localhost kernel: [90245.244398]  [<ffffffff8108ca2e>] worker_thread+0x15e/0x470
Oct  1 21:27:10 localhost kernel: [90245.244402]  [<ffffffff8108c8d0>] ? rescuer_thread+0x230/0x230
Oct  1 21:27:10 localhost kernel: [90245.244406]  [<ffffffff81092887>] kthread+0xb7/0xc0
Oct  1 21:27:10 localhost kernel: [90245.244410]  [<ffffffff816e8544>] kernel_thread_helper+0x4/0x10
Oct  1 21:27:10 localhost kernel: [90245.244414]  [<ffffffff816de380>] ? _raw_spin_unlock_irq+0x30/0x50
Oct  1 21:27:10 localhost kernel: [90245.244418]  [<ffffffff816de870>] ? retint_restore_args+0x13/0x13
Oct  1 21:27:10 localhost kernel: [90245.244422]  [<ffffffff810927d0>] ? __init_kthread_worker+0x70/0x70
Oct  1 21:27:10 localhost kernel: [90245.244425]  [<ffffffff816e8540>] ? gs_change+0x13/0x13
Oct  1 21:27:10 localhost kernel: [90245.289753] ksoftirqd/0: page allocation failure: order:1, mode:0x4020
Oct  1 21:27:10 localhost kernel: [90245.289761] Pid: 3, comm: ksoftirqd/0 Not tainted 3.6.0-0.rc7.git1.4.fc18.x86_64 #1
Oct  1 21:27:10 localhost kernel: [90245.289763] Call Trace:
Oct  1 21:27:10 localhost kernel: [90245.289773]  [<ffffffff8116492b>] warn_alloc_failed+0xeb/0x150
Oct  1 21:27:10 localhost kernel: [90245.289779]  [<ffffffff81168f45>] __alloc_pages_nodemask+0x8b5/0xb40
Oct  1 21:27:10 localhost kernel: [90245.289796]  [<ffffffffa042c64d>] ? iwl_unmap_tfd.isra.14+0xbd/0x1b0 [iwlwifi]
Oct  1 21:27:10 localhost kernel: [90245.289802]  [<ffffffff811a9670>] alloc_pages_current+0xb0/0x120
Oct  1 21:27:10 localhost kernel: [90245.289811]  [<ffffffffa0428695>] iwlagn_rx_allocate+0x135/0x290 [iwlwifi]
Oct  1 21:27:10 localhost kernel: [90245.289820]  [<ffffffffa0429abf>] iwl_irq_tasklet+0xa7f/0x1b20 [iwlwifi]
Oct  1 21:27:10 localhost kernel: [90245.289825]  [<ffffffff81072703>] tasklet_action+0x83/0x110
Oct  1 21:27:10 localhost kernel: [90245.289829]  [<ffffffff81071de0>] __do_softirq+0xf0/0x3d0
Oct  1 21:27:10 localhost kernel: [90245.289833]  [<ffffffff810721ed>] run_ksoftirqd+0x12d/0x200
Oct  1 21:27:10 localhost kernel: [90245.289837]  [<ffffffff810720c0>] ? __do_softirq+0x3d0/0x3d0
Oct  1 21:27:10 localhost kernel: [90245.289842]  [<ffffffff81092887>] kthread+0xb7/0xc0
Oct  1 21:27:10 localhost kernel: [90245.289849]  [<ffffffff816e8544>] kernel_thread_helper+0x4/0x10
Oct  1 21:27:10 localhost kernel: [90245.289854]  [<ffffffff816de870>] ? retint_restore_args+0x13/0x13
Oct  1 21:27:10 localhost kernel: [90245.289859]  [<ffffffff810927d0>] ? __init_kthread_worker+0x70/0x70
Oct  1 21:27:10 localhost kernel: [90245.289862]  [<ffffffff816e8540>] ? gs_change+0x13/0x13

Bug in the WiFi drivers?

Version-Release number of selected component (if applicable): 3.6.0-0.rc6.git0.2.fc18 and 3.6.0-0.rc7.git1.4.fc18.

How reproducible: always
Comment 1 Josh Boyer 2012-11-12 16:07:12 EST
Are you still seeing this with the final 3.6 release, or the 3.6.x updates?
Comment 2 Zeeshan Ali 2012-11-13 08:16:09 EST
(In reply to comment #1)
> Are you still seeing this with the final 3.6 release, or the 3.6.x updates?

Nope, it seem to be gone now.
Comment 3 Josh Boyer 2012-11-13 08:33:53 EST
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.